<?xml version="1.0" encoding="utf-8"?>
<EntityRelationships>
  <EntityRelationship Name="bah_interactions_ActivityPointers">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.4</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>ActivityPointer</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>RemoveLink</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the activity is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
    <EntityRelationshipRoles>
      <EntityRelationshipRole>
        <NavPaneDisplayOption>UseCollectionName</NavPaneDisplayOption>
        <NavPaneArea>Details</NavPaneArea>
        <NavPaneOrder>0</NavPaneOrder>
      </EntityRelationshipRole>
    </EntityRelationshipRoles>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_Appointments">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.4</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>Appointment</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>Cascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>Cascade</CascadeReparent>
    <CascadeShare>Cascade</CascadeShare>
    <CascadeUnshare>Cascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the appointment is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_AsyncOperations">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>AsyncOperation</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>NoCascade</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the system job is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_BulkDeleteFailures">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>BulkDeleteFailure</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the record that can not be deleted." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Name" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_Emails">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.4</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>Email</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>Cascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>Cascade</CascadeReparent>
    <CascadeShare>Cascade</CascadeShare>
    <CascadeUnshare>Cascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the e-mail is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid|RequiredForForm</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_Faxes">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.4</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>Fax</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>Cascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>Cascade</CascadeReparent>
    <CascadeShare>Cascade</CascadeShare>
    <CascadeUnshare>Cascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the fax activity is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_incident_interactionstorequestid">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>Incident</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>RemoveLink</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <IsValidForAdvancedFind>1</IsValidForAdvancedFind>
    <ReferencingAttributeName>bah_interactionstorequestid</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="" languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="bah_interactionstorequestid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="">
      <IsCustomizable>1</IsCustomizable>
      <IsRenameable>1</IsRenameable>
      <CanModifySearchSettings>1</CanModifySearchSettings>
      <CanModifyRequirementLevelSettings>1</CanModifyRequirementLevelSettings>
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Interactions to Request" languagecode="1033" />
      </displaynames>
    </field>
    <EntityRelationshipRoles>
      <EntityRelationshipRole>
        <NavPaneDisplayOption>UseCollectionName</NavPaneDisplayOption>
        <NavPaneArea>Details</NavPaneArea>
        <NavPaneOrder>10000</NavPaneOrder>
        <CustomLabels>
          <CustomLabel description="" languagecode="1033" />
        </CustomLabels>
      </EntityRelationshipRole>
    </EntityRelationshipRoles>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_Letters">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.4</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>Letter</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>Cascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>Cascade</CascadeReparent>
    <CascadeShare>Cascade</CascadeShare>
    <CascadeUnshare>Cascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the letter activity is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_PhoneCalls">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.4</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>PhoneCall</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>Cascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>Cascade</CascadeReparent>
    <CascadeShare>Cascade</CascadeShare>
    <CascadeUnshare>Cascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the phone call activity is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_PrincipalObjectAttributeAccesses">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>PrincipalObjectAttributeAccess</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>ObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the entity instance with shared secured field" languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="objectid" requiredlevel="systemrequired" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Entity instance" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_ProcessSession">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>ProcessSession</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>NoCascade</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the dialog session is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForGrid</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_RecurringAppointmentMasters">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.4</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>RecurringAppointmentMaster</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>Cascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>Cascade</CascadeReparent>
    <CascadeShare>Cascade</CascadeShare>
    <CascadeUnshare>Cascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the recurring appointment series is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_ServiceAppointments">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.4</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>ServiceAppointment</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>Cascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>Cascade</CascadeReparent>
    <CascadeShare>Cascade</CascadeShare>
    <CascadeUnshare>Cascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the service activity is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_SocialActivities">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.4</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>SocialActivity</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>Cascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>Cascade</CascadeReparent>
    <CascadeShare>Cascade</CascadeShare>
    <CascadeUnshare>Cascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Shows the record that the social activity relates to." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid|RequiredForForm</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_Tasks">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.4</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>Task</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>Cascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>Cascade</CascadeReparent>
    <CascadeShare>Cascade</CascadeShare>
    <CascadeUnshare>Cascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the task is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="bah_interactions_UserEntityInstanceDatas">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>UserEntityInstanceData</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>Cascade</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>ObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the source record." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="objectid" requiredlevel="systemrequired" imemode="auto" lookupstyle="single" lookupbrowse="0" format="">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid|RequiredForForm</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Object Id" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="vhacrm_bah_interactions_bah_interactions">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.0.0.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>bah_interactions</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>RemoveLink</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <IsValidForAdvancedFind>1</IsValidForAdvancedFind>
    <ReferencingAttributeName>vhacrm_parent_interactionid</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier for Interaction associated with Interaction." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="vhacrm_parent_interactionid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="">
      <IsCustomizable>1</IsCustomizable>
      <IsRenameable>1</IsRenameable>
      <CanModifySearchSettings>1</CanModifySearchSettings>
      <CanModifyRequirementLevelSettings>1</CanModifyRequirementLevelSettings>
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Parent Interaction" languagecode="1033" />
      </displaynames>
    </field>
    <EntityRelationshipRoles>
      <EntityRelationshipRole>
        <NavPaneDisplayOption>UseCollectionName</NavPaneDisplayOption>
        <NavPaneArea>Details</NavPaneArea>
        <NavPaneOrder>10000</NavPaneOrder>
        <CustomLabels>
          <CustomLabel description="" languagecode="1033" />
        </CustomLabels>
      </EntityRelationshipRole>
    </EntityRelationshipRoles>
  </EntityRelationship>
  <EntityRelationship Name="vhacrm_bah_interactions_phonecall">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.4</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>PhoneCall</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>RemoveLink</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <IsValidForAdvancedFind>1</IsValidForAdvancedFind>
    <ReferencingAttributeName>vhacrm_interactionsid</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier for Interaction associated with Phone Call." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="vhacrm_interactionsid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="">
      <IsCustomizable>1</IsCustomizable>
      <IsRenameable>1</IsRenameable>
      <CanModifySearchSettings>1</CanModifySearchSettings>
      <CanModifyRequirementLevelSettings>1</CanModifyRequirementLevelSettings>
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Interaction" languagecode="1033" />
      </displaynames>
    </field>
    <EntityRelationshipRoles>
      <EntityRelationshipRole>
        <NavPaneDisplayOption>UseCollectionName</NavPaneDisplayOption>
        <NavPaneArea>Details</NavPaneArea>
        <NavPaneOrder>10000</NavPaneOrder>
        <CustomLabels>
          <CustomLabel description="" languagecode="1033" />
        </CustomLabels>
      </EntityRelationshipRole>
    </EntityRelationshipRoles>
  </EntityRelationship>
  <EntityRelationship Name="vhacrm_bah_interactions_vhacrm_assessment_interactionid">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.2</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>vhacrm_assessment</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>RemoveLink</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <IsValidForAdvancedFind>1</IsValidForAdvancedFind>
    <ReferencingAttributeName>vhacrm_interactionid</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier for Interaction associated with the Assessment." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="vhacrm_interactionid" requiredlevel="recommended" imemode="auto" lookupstyle="single" lookupbrowse="0" format="">
      <IsCustomizable>1</IsCustomizable>
      <IsRenameable>1</IsRenameable>
      <CanModifySearchSettings>1</CanModifySearchSettings>
      <CanModifyRequirementLevelSettings>1</CanModifyRequirementLevelSettings>
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Assessment Interaction" languagecode="1033" />
      </displaynames>
    </field>
    <EntityRelationshipRoles>
      <EntityRelationshipRole>
        <NavPaneDisplayOption>UseCollectionName</NavPaneDisplayOption>
        <NavPaneArea>Details</NavPaneArea>
        <NavPaneOrder>10000</NavPaneOrder>
        <CustomLabels>
          <CustomLabel description="" languagecode="1033" />
        </CustomLabels>
      </EntityRelationshipRole>
    </EntityRelationshipRoles>
  </EntityRelationship>
  <EntityRelationship Name="vhacrm_bah_interactions_vhacrm_casenote">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.0.0.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>vhacrm_casenote</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>RemoveLink</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <IsValidForAdvancedFind>1</IsValidForAdvancedFind>
    <ReferencingAttributeName>vhacrm_interactionid</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier for Interaction associated with Case Note." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="vhacrm_interactionid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="">
      <IsCustomizable>1</IsCustomizable>
      <IsRenameable>1</IsRenameable>
      <CanModifySearchSettings>1</CanModifySearchSettings>
      <CanModifyRequirementLevelSettings>1</CanModifyRequirementLevelSettings>
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Interaction" languagecode="1033" />
      </displaynames>
    </field>
    <EntityRelationshipRoles>
      <EntityRelationshipRole>
        <NavPaneDisplayOption>UseCollectionName</NavPaneDisplayOption>
        <NavPaneArea>Details</NavPaneArea>
        <NavPaneOrder>10000</NavPaneOrder>
        <CustomLabels>
          <CustomLabel description="" languagecode="1033" />
        </CustomLabels>
      </EntityRelationshipRole>
    </EntityRelationshipRoles>
  </EntityRelationship>
  <EntityRelationship Name="vhacrm_bah_interactions_vhacrm_correspondence">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.0.0.0</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <ReferencingEntityName>vhacrm_correspondence</ReferencingEntityName>
    <ReferencedEntityName>bah_interactions</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>RemoveLink</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <IsValidForAdvancedFind>1</IsValidForAdvancedFind>
    <ReferencingAttributeName>vhacrm_interactionid</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier for Interaction associated with Correspondence." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="vhacrm_interactionid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="">
      <IsCustomizable>1</IsCustomizable>
      <IsRenameable>1</IsRenameable>
      <CanModifySearchSettings>1</CanModifySearchSettings>
      <CanModifyRequirementLevelSettings>1</CanModifyRequirementLevelSettings>
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Interaction" languagecode="1033" />
      </displaynames>
    </field>
    <EntityRelationshipRoles>
      <EntityRelationshipRole>
        <NavPaneDisplayOption>UseCollectionName</NavPaneDisplayOption>
        <NavPaneArea>Details</NavPaneArea>
        <NavPaneOrder>10000</NavPaneOrder>
        <CustomLabels>
          <CustomLabel description="" languagecode="1033" />
        </CustomLabels>
      </EntityRelationshipRole>
    </EntityRelationshipRoles>
  </EntityRelationship>
  <EntityRelationship Name="vhacrm_interactioncorrespondencetemplate">
    <EntityRelationshipType>ManyToMany</EntityRelationshipType>
    <IsCustomizable>1</IsCustomizable>
    <IntroducedVersion>1.1.0.4</IntroducedVersion>
    <IsHierarchical>0</IsHierarchical>
    <FirstEntityName>bah_interactions</FirstEntityName>
    <SecondEntityName>vhacrm_correspondencetemplate</SecondEntityName>
    <IntersectEntityName>vhacrm_interactioncorrespondencetemplate</IntersectEntityName>
    <IsValidForAdvancedFind>1</IsValidForAdvancedFind>
    <EntityRelationshipRoles>
      <EntityRelationshipRole>
        <NavPaneDisplayOption>DoNotDisplay</NavPaneDisplayOption>
        <CustomLabels>
          <CustomLabel description="" languagecode="1033" />
        </CustomLabels>
        <AssociationRoleOrdinal>1</AssociationRoleOrdinal>
      </EntityRelationshipRole>
      <EntityRelationshipRole>
        <NavPaneDisplayOption>DoNotDisplay</NavPaneDisplayOption>
        <CustomLabels>
          <CustomLabel description="" languagecode="1033" />
        </CustomLabels>
        <AssociationRoleOrdinal>2</AssociationRoleOrdinal>
      </EntityRelationshipRole>
    </EntityRelationshipRoles>
  </EntityRelationship>
</EntityRelationships>